Skip to main content
GET
An asset's parts list with available stock per line, so the screen answers "can we do this".

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
asset_id
string
asset_number
string
part_id
string
part_number
string
part_name
string
unit_of_measure
string
quantity_required
string
position_label
string
replacement_interval_months
string
is_critical
string
part_criticality
string
notes
string
available_quantity
string
bom_version_id
string
bom_version_code
string
bom_version_number
string
row_version
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

asset_id
string<uuid>

Note: This is a Foreign Key to asset_contracts.asset_id.

asset_number
string<character varying>
Maximum string length: 80
available_quantity
number<numeric>
bom_version_code
string<character varying>
Maximum string length: 60
bom_version_id
string<uuid>
bom_version_number
integer<integer>
id
string<uuid>

Note: This is a Primary Key.

is_critical
boolean<boolean>
notes
string<text>
part_criticality
string<character varying>
Maximum string length: 20
part_id
string<uuid>

Note: This is a Foreign Key to inventory_available.part_id.

part_name
string<character varying>
Maximum string length: 250
part_number
string<character varying>
Maximum string length: 80
position_label
string<character varying>
Maximum string length: 80
quantity_required
number<numeric>
replacement_interval_months
integer<integer>
row_version
integer<bigint>
unit_of_measure
string<character varying>
Maximum string length: 30